// crypto.js
// author: sabin.thomas

'use strict'
var cryptoModule = require('crypto');
const utils = require('../../util/utils.js')
const namespace = require('../../util/namespace')

module.exports = function initialize(bluefyreAgent) {
    var funcArr = utils.getPublicFuncs(cryptoModule)
    

    //bluefyre/bluefyre-agent-node#35 - circular dependency on uuid.v4()
    //TODO: need better way to handle this
    funcArr = funcArr.filter(value => value !== 'randomBytes')

    utils.genericWrapConstructor(bluefyreAgent, cryptoModule, 'crypto')
    utils.genericWrap(bluefyreAgent, cryptoModule, funcArr, 'crypto', cryptoModule)
}
