const fs = require('fs')
const path = require('path')

module.exports = function readFilesIn(dir_path) {
  return fs.readdirSync(dir_path)
    .filter(file => !/^\.|^module\.js$/.test(file))
    .reduce((obj, filename) => {
      const key = path.basename(filename, path.extname(filename))
      obj[key] = filename
      return obj
    }, {})
}