// fs.js
// author: sabin.thomas
// fs Nodejs Library wrappers

'use strict'
var fs = require('fs');
const utils = require('../../util/utils.js')

module.exports = function initialize(bluefyreAgent) {
    var arrFunc = [
      'appendFile',
      'appendFileSync',
      'createReadStream',
      'createWriteStream',
      'open',
      'openSync',
      'readFile',
      'readFileSync',
      'writeFile',
      'writeFileSync'
    ];

    utils.genericWrap(bluefyreAgent, fs, arrFunc, 'fs', fs)
}
