const Event = require('./Event')

class AttackEvent extends Event {
  constructor(payload = {}) {
    super(payload)

    this._data.module_name = 'bluefyreagent-node'
    this._data.event_type = 'attack'
  }

  set attack(err) {
    if (!err) return this

    this._data.payload.attack = {}

    this._data.payload.attack.message = err.message
    this._data.payload.attack.stack = err.stack
    this._data.payload.attack.details = err.details

    return this
  }

  set req(r) {
    this._data.payload.req = r
  }
}

module.exports = AttackEvent